<?php

namespace YOOtheme;

return [

    'transforms' => [

        'render' => function ($node) {

            if (empty($node->props['image']) && empty($node->props['hover_image'])) {
                $node->props['image'] = Url::to('~yootheme/theme/assets/images/element-image-placeholder.png');
            }

        },

    ],

    'updates' => [

        '1.18.0' => function ($node) {

            if (!isset($node->props['hover_image'])) {
                $node->props['hover_image'] = @$node->props['image2'];
            }

        },

    ],

];
